from turtle import *

def draw_tile(size):
    "Draws one tile, which can be repeated to form a pattern."
    color("grey")
    square(size)
    forward(size/2)
    color("black")
    left(90)
    quarter_arc_right(size/4)
    quarter_arc_left(size/4)
    quarter_arc_left(size/4)
    quarter_arc_right(size/4)
    left(90)
    fly(size/2)
    left(90)
    fly(size)
    left(90)

def fly(distance):
    "Moves without drawing."
    penup()
    forward(distance)
    pendown()

def square(size):
    "Draws a square of side length `size`"
    forward(size)
    left(90)
    forward(size)
    left(90)
    forward(size)
    left(90)
    forward(size)
    left(90)

def quarter_arc_right(radius):
    "Draws a quarter of an arc, turning to the right."
    circle(-radius, 90)

def quarter_arc_left(radius):
    "Draws a quarter of an arc, turning to the left."
    circle(radius, 90)
